# runtime

Published runtime operations for runtime.

Source: cd46e0e78d73497aec99e3e8d33c1fef632f36f9
URL: /reference/http-runtime

## runtime.get [#runtimeget]



````http
GET /runtime
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | read |
| Request body | none |
| Response | json |
| Query parameters | None |

## runtime.work [#runtimework]



````http
GET /runtime/work
````

| Contract | Value |
| --- | --- |
| Access | Host only |
| Execution | live |
| Request body | none |
| Response | json |
| Query parameters | None |

## runtime.history [#runtimehistory]



````http
GET /runtime/history/:revision
````

| Contract | Value |
| --- | --- |
| Access | Host only |
| Execution | read |
| Request body | none |
| Response | json |
| Query parameters | None |

## runtime.stop [#runtimestop]



````http
POST /runtime/stop
````

| Contract | Value |
| --- | --- |
| Access | Host only |
| Execution | command |
| Request body | json |
| Response | json |
| Query parameters | None |

## runtime.reset [#runtimereset]



````http
POST /reset
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | command |
| Request body | json |
| Response | json |
| Query parameters | None |
